# Uses of Class
org.apache.lucene.internal.hppc.CharCursor

Packages that use CharCursor
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

- ## Uses of CharCursor in org.apache.lucene.internal.hppc

  Methods in org.apache.lucene.internal.hppc that return CharCursor
  Modifier and Type
  Method
  Description
  `protected CharCursor`
  CharHashSet.EntryIterator.`fetch()`
  Methods in org.apache.lucene.internal.hppc that return types with arguments of type CharCursor
  Modifier and Type
  Method
  Description
  `Iterator<CharCursor>`
  CharHashSet.`iterator()`
  `Iterator<CharCursor>`
  CharObjectHashMap.KeysContainer.`iterator()`
  Method parameters in org.apache.lucene.internal.hppc with type arguments of type CharCursor
  Modifier and Type
  Method
  Description
  `int`
  CharHashSet.`addAll(Iterable<? extends CharCursor> iterable)`
  Adds all elements from the given iterable to this set.